Bug 188918 - Switch User or Switch to console mode kills the original X session
Switch User or Switch to console mode kills the original X session
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-13 11:58 EDT by sudhir veluguri
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-03 09:32:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Log file of failed X session (49.96 KB, text/plain)
2006-06-14 07:26 EDT, sudhir veluguri
no flags Details
config file (2.73 KB, text/plain)
2006-06-14 07:31 EDT, sudhir veluguri
no flags Details

  None (edit)
Description sudhir veluguri 2006-04-13 11:58:07 EDT
Description of problem:
From the Xsession, if switch-user is invoked or if a switch to console mode is
made, the original X session is lost. A new X Session greets when we go back.

Version-Release number of selected component (if applicable): Fedora Core 5
2.6.15-2054 Smp


How reproducible: Always


Steps to Reproduce:
1. Login to X session 
2. Switch to console mode {<ctrl>+<alt>+F[1-6]}
3. revert back to original session {<alt>+F7}
  
Actual results:
The login screen is displayed. The logged in session is lost.

Expected results:
Get back to the previous X session from where the switch was invoked

Additional info:
Machine is Dell OptiPlex GX270
Comment 1 sudhir veluguri 2006-04-13 11:59:36 EDT
The same thing happens when Switch User is invoked from a running X Session. A
new login screen is displayed but there is no way to get back the previous one.
Comment 2 Mike A. Harris 2006-05-23 08:56:51 EDT
Attach the X server log from a failed X session, as well as the X server config
file you're using, as individual uncompressed file attachments using the link
below.
Comment 3 sudhir veluguri 2006-06-14 07:26:13 EDT
Created attachment 130823 [details]
Log file of failed X session

XSession log file from /var/log/Xorg.0.log
Comment 4 sudhir veluguri 2006-06-14 07:31:56 EDT
Created attachment 130824 [details]
config file

config file from /etc/X11/xorg.conf
Comment 6 Matěj Cepl 2007-07-03 09:52:31 EDT
Fedora Core 5 is no longer supported, please, could you reproduce this bug with
the updated version of the currently supported distribution (Fedora Core 6, or
Fedora 7, or Rawhide)? If this issue turns out to still be reproducible, please
let us know in this bug report.  If after a month's time we have not heard back
from you, we will have to close this bug as CANTFIX/INSUFFICIENT_DATA.

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.
Comment 7 Matěj Cepl 2007-08-03 09:32:26 EDT
No information requested was provided, so I close this bug as INSUFFICIENT_DATA.
Reporter, if you could, please, reopen with additional information.

Note You need to log in before you can comment on or make changes to this bug.